@base-font-size: 25px;
@base-icon-width: 40px;
@base-icon-color: #aaaaaa;

.search {
  text-align: center;
  margin-top: 200px;

  header {
    img {
      height: 92px;
      width: 272px;
    }
  }

  article {

    width: 550px;
    position: relative;
    margin: 0 auto;

    .search-icon, .voice-icon {
      top: 50%;
      transform: translateY(-50%);
      position: absolute;
      font-size: @base-font-size;
      width: @base-icon-width;
      height: 25px;
      cursor: pointer;
    }

    .search-icon {
      left: 10px;
      color: @base-icon-color;
    }

    .voice-icon {
      right: 10px;
    }

    input {
      width: 550px;
      display: flex;
      border: 1px solid #dfe1e5;
      box-shadow: 0 0 1px 0 @base-icon-color;
      border-radius: 24px;
      z-index: 3;
      height: 44px;
      margin: 25px auto;
      outline: none;
      text-indent: 50px;
      font-size: @base-font-size / 1.6; 
    }
  }

  .provide {
    margin-top: 20px;

    * {
      margin: 0 10px;
      font-size: 14px;
    }
  }
}
